# https://github.com/mozillazg/python-pinyin/blob/5fd340381138f61e10d978a877e7954f1940d292/pypinyin/phonetic_symbol.py#L7
phonetic_symbol = {
    "ā": "a",
    "á": "a",
    "ǎ": "a",
    "à": "a",
    "ē": "e",
    "é": "e",
    "ě": "e",
    "è": "e",
    "ō": "o",
    "ó": "o",
    "ǒ": "o",
    "ò": "o",
    "ī": "i",
    "í": "i",
    "ǐ": "i",
    "ì": "i",
    "ū": "u",
    "ú": "u",
    "ǔ": "u",
    "ù": "u",
    "ü": "v",
    "ǖ": "v",
    "ǘ": "v",
    "ǚ": "v",
    "ǜ": "v",
    "ń": "n",
    "ň": "n",
    "ǹ": "n",
    "m̄": "m",
    "ḿ": "m",
    "m̀": "m",
    "ê̄": "e",
    "ế": "e",
    "ê̌": "e",
    "ề": "e",
}

pinyin_to_katakana = {
    "a": "ア",
    "ai": "アイ",
    "an": "アン",
    "ang": "アング",
    "ao": "アオ",
    "ba": "バ",
    "bai": "バイ",
    "ban": "バン",
    "bang": "バング",
    "bao": "バオ",
    "bei": "ベイ",
    "ben": "ベン",
    "beng": "ベング",
    "bi": "ビ",
    "bian": "ビャン",
    "biao": "ビャオ",
    "bie": "ビェ",
    "bin": "ビン",
    "bing": "ビン",
    "bo": "ボ",
    "bu": "ブ",
    "ca": "ツァ",
    "cai": "ツァイ",
    "can": "ツァン",
    "cang": "ツァング",
    "cao": "ツァオ",
    "ce": "ツェ",
    "cen": "ツェン",
    "ceng": "ツォン",
    "cha": "チャ",
    "chai": "チャイ",
    "chan": "チャン",
    "chang": "チャン",
    "chao": "チャオ",
    "che": "チェ",
    "chen": "チェン",
    "cheng": "チェン",
    "chi": "チ",
    "chong": "チョン",
    "chou": "チョウ",
    "chu": "チュ",
    "chua": "チュア",
    "chuai": "チュアイ",
    "chuan": "チュアン",
    "chuang": "チュアン",
    "chui": "チュェイ",
    "chun": "チュン",
    "chuo": "チュォ",
    "ci": "ツ",
    "cong": "ツォン",
    "cou": "ツォウ",
    "cu": "ツ",
    "cuan": "ツァン",
    "cui": "ツェイ",
    "cun": "ツン",
    "cuo": "ツォ",
    "da": "ダ",
    "dai": "ダイ",
    "dan": "ダン",
    "dang": "ダン",
    "dao": "ダオ",
    "de": "デ",
    "dei": "デイ",
    "den": "デン",
    "deng": "デン",
    "di": "ディ",
    "dia": "ディア",
    "dian": "ディェン",
    "diao": "ディャオ",
    "die": "ディェ",
    "ding": "ディン",
    "diu": "ディウ",
    "dong": "ドン",
    "dou": "ドウ",
    "du": "ドゥ",
    "duan": "ドゥアン",
    "dui": "ドゥェイ",
    "dun": "ドゥン",
    "duo": "ドゥォ",
    "e": "エ",
    "ei": "エイ",
    "en": "エン",
    "eng": "エン",
    "er": "アル",
    "fa": "ファ",
    "fan": "ファン",
    "fang": "ファン",
    "fei": "フェイ",
    "fen": "フェン",
    "feng": "フェン",
    "fo": "フォ",
    "fou": "フォウ",
    "fu": "フ",
    "ga": "ガ",
    "gai": "ガイ",
    "gan": "ガン",
    "gang": "ガン",
    "gao": "ガオ",
    "ge": "ゲ",
    "gei": "ゲイ",
    "gen": "ゲン",
    "geng": "ゲン",
    "gong": "ゴン",
    "gou": "ゴウ",
    "gu": "グ",
    "gua": "グア",
    "guai": "グアイ",
    "guan": "グァン",
    "guang": "グァン",
    "gui": "グェイ",
    "gun": "グン",
    "guo": "グォ",
    "ha": "ハ",
    "hai": "ハイ",
    "han": "ハン",
    "hang": "ハン",
    "hao": "ハオ",
    "he": "ヘ",
    "hei": "ヘイ",
    "hen": "ヘン",
    "heng": "ヘン",
    "hong": "ホン",
    "hou": "ホウ",
    "hu": "フ",
    "hua": "ファ",
    "huai": "ファイ",
    "huan": "ファン",
    "huang": "ファン",
    "hui": "フェイ",
    "hun": "フン",
    "huo": "フォ",
    "ji": "ジ",
    "jia": "ジャ",
    "jian": "ジェン",
    "jiang": "ジャン",
    "jiao": "ジャオ",
    "jie": "ジェ",
    "jin": "ジン",
    "jing": "ジン",
    "jiong": "ジョン",
    "jiu": "ジウ",
    "ju": "ジュ",
    "juan": "ジュアン",
    "jue": "ジュェ",
    "jun": "ジュン",
    "ka": "カ",
    "kai": "カイ",
    "kan": "カン",
    "kang": "カン",
    "kao": "カオ",
    "ke": "ケ",
    "kei": "ケイ",
    "ken": "ケン",
    "keng": "ケン",
    "kong": "コン",
    "kou": "コウ",
    "ku": "ク",
    "kua": "クア",
    "kuai": "クアイ",
    "kuan": "クァン",
    "kuang": "クァン",
    "kui": "クェイ",
    "kun": "クン",
    "kuo": "クォ",
    "la": "ラ",
    "lai": "ライ",
    "lan": "ラン",
    "lang": "ラン",
    "lao": "ラオ",
    "le": "レ",
    "lei": "レイ",
    "leng": "レン",
    "li": "リ",
    "lia": "リャ",
    "lian": "リェン",
    "liang": "リャン",
    "liao": "リャオ",
    "lie": "リェ",
    "lin": "リン",
    "ling": "リン",
    "liu": "リウ",
    "long": "ロン",
    "lou": "ロウ",
    "lu": "ル",
    "luan": "ルァン",
    "lue": "ルェ",
    "lun": "ルン",
    "luo": "ルォ",
    "ma": "マ",
    "mai": "マイ",
    "man": "マン",
    "mang": "マン",
    "mao": "マオ",
    "me": "メ",
    "mei": "メイ",
    "men": "メン",
    "meng": "メン",
    "mi": "ミ",
    "mian": "ミェン",
    "miao": "ミャオ",
    "mie": "ミェ",
    "min": "ミン",
    "ming": "ミン",
    "miu": "ミウ",
    "mo": "モ",
    "mou": "モウ",
    "mu": "ム",
    "na": "ナ",
    "nai": "ナイ",
    "nan": "ナン",
    "nang": "ナン",
    "nao": "ナオ",
    "ne": "ネ",
    "nei": "ネイ",
    "nen": "ネン",
    "neng": "ネン",
    "ni": "ニ",
    "nian": "ニェン",
    "niang": "ニャン",
    "niao": "ニャオ",
    "nie": "ニェ",
    "nin": "ニン",
    "ning": "ニン",
    "niu": "ニウ",
    "nong": "ノン",
    "nou": "ノウ",
    "nu": "ヌ",
    "nuan": "ヌァン",
    "nue": "ヌェ",
    "nun": "ヌン",
    "nuo": "ヌォ",
    "o": "オ",
    "ou": "オウ",
    "pa": "パ",
    "pai": "パイ",
    "pan": "パン",
    "pang": "パン",
    "pao": "パオ",
    "pe": "ペ",
    "pei": "ペイ",
    "pen": "ペン",
    "peng": "ペン",
    "pi": "ピ",
    "pian": "ピェン",
    "piao": "ピャオ",
    "pie": "ピェ",
    "pin": "ピン",
    "ping": "ピン",
    "po": "ポ",
    "pou": "ポウ",
    "pu": "プ",
    "qi": "チ",
    "qia": "チャ",
    "qian": "チェン",
    "qiang": "チャン",
    "qiao": "チャオ",
    "qie": "チェ",
    "qin": "チン",
    "qing": "チン",
    "qiong": "チョン",
    "qiu": "チウ",
    "qu": "チュ",
    "quan": "チュアン",
    "que": "チュェ",
    "qun": "チュン",
    "ran": "ラン",
    "rang": "ラン",
    "rao": "ラオ",
    "re": "レ",
    "ren": "レン",
    "reng": "レン",
    "ri": "リ",
    "rong": "ロン",
    "rou": "ロウ",
    "ru": "ル",
    "ruan": "ルァン",
    "rui": "ルェイ",
    "run": "ルン",
    "ruo": "ルォ",
    "sa": "サ",
    "sai": "サイ",
    "san": "サン",
    "sang": "サン",
    "sao": "サオ",
    "se": "セ",
    "sei": "セイ",
    "sen": "セン",
    "seng": "セン",
    "sha": "シャ",
    "shai": "シャイ",
    "shan": "シャン",
    "shang": "シャン",
    "shao": "シャオ",
    "she": "シェ",
    "shei": "シェイ",
    "shen": "シェン",
    "sheng": "シェン",
    "shi": "シ",
    "shou": "ショウ",
    "shu": "シュ",
    "shua": "シュア",
    "shuai": "シュアイ",
    "shuan": "シュアン",
    "shuang": "シュァン",
    "shui": "シュェイ",
    "shun": "シュン",
    "shuo": "シュォ",
    "si": "ス",
    "song": "ソン",
    "sou": "ソウ",
    "su": "ス",
    "suan": "スァン",
    "sui": "スェイ",
    "sun": "スン",
    "suo": "スォ",
    "ta": "タ",
    "tai": "タイ",
    "tan": "タン",
    "tang": "タン",
    "tao": "タオ",
    "te": "テ",
    "tei": "テイ",
    "ten": "テン",
    "tong": "トン",
    "tou": "トウ",
    "tu": "ツ",
    "tuan": "ツァン",
    "tui": "ツェイ",
    "tun": "ツン",
    "tuo": "ツォ",
    "wa": "ワ",
    "wai": "ワイ",
    "wan": "ワン",
    "wang": "ワン",
    "wei": "ウェイ",
    "wen": "ウェン",
    "weng": "ウォン",
    "wo": "ウォ",
    "wu": "ウ",
    "xi": "シ",
    "xia": "シャ",
    "xian": "シェン",
    "xiang": "シャン",
    "xiao": "シャオ",
    "xie": "シェ",
    "xin": "シン",
    "xing": "シン",
    "xiong": "ション",
    "xiu": "シュウ",
    "xu": "シュ",
    "xuan": "シュアン",
    "xue": "シュエ",
    "xun": "シュン",
    "ya": "ヤ",
    "yan": "ヤン",
    "yang": "ヤン",
    "yao": "ヤオ",
    "ye": "イェ",
    "yi": "イ",
    "yin": "イン",
    "ying": "イン",
    "yo": "ヨ",
    "yong": "ヨン",
    "you": "ヨウ",
    "yu": "ユ",
    "yuan": "ユアン",
    "yue": "ユエ",
    "yun": "ユン",
    "za": "ザ",
    "zai": "ザイ",
    "zan": "ザン",
    "zang": "ザン",
    "zao": "ザオ",
    "ze": "ゼ",
    "zei": "ゼイ",
    "zen": "ゼン",
    "zeng": "ゾン",
    "zha": "ジャ",
    "zhai": "ジャイ",
    "zhan": "ジャン",
    "zhang": "ジャン",
    "zhao": "ジャオ",
    "zhe": "ジェ",
    "zhei": "ジェイ",
    "zhen": "ジェン",
    "zheng": "ジョン",
    "zhi": "ジ",
    "zhong": "ジョン",
    "zhou": "ジョウ",
    "zhu": "ジュ",
    "zhua": "ジュア",
    "zhuai": "ジュアイ",
    "zhuan": "ジュアン",
    "zhuang": "ジュアン",
    "zhui": "ジュエイ",
    "zhun": "ジュン",
    "zhuo": "ジュオ",
}
